org.red5.io.amf3

## Interface IDataOutput

All Known Implementing Classes:
  ByteArray, DataOutput

    public interface IDataOutput

Interface implemented by classes that provide a way to store custom objects.

See Also:
  `IExternalizable.writeExternal(IDataOutput)`, Adobe Livedocs (external)

### Method Summary

Methods
`ByteOrder` `getEndian()` Return the byteorder used when storing values.
`void` `setEndian(ByteOrder endian)` Set the byteorder to use when storing values.
`void` `writeBoolean(boolean value)` Write boolean value.
`void` `writeByte(byte value)` Write signed byte value.
`void` `writeBytes(byte[] bytes)` Write multiple bytes.
`void` `writeBytes(byte[] bytes, int offset)` Write multiple bytes from given offset.
`void` `writeBytes(byte[] bytes, int offset, int length)` Write given number of bytes from given offset.
`void` `writeDouble(double value)` Write double-precision floating point value.
`void` `writeFloat(float value)` Write single-precision floating point value.
`void` `writeInt(int value)` Write signed integer value.
`void` `writeMultiByte(String value, String encoding)` Write string in given character set.
`void` `writeObject(Object value)` Write arbitrary object.
`void` `writeShort(short value)` Write signed short value.
`void` `writeUnsignedInt(long value)` Write unsigned integer value.
`void` `writeUTF(String value)` Write UTF-8 encoded string.
`void` `writeUTFBytes(String value)` Write UTF-8 encoded string as byte array.

### Method Detail

#### getEndian

    ByteOrder getEndian()

Return the byteorder used when storing values.

Returns:
  the byteorder

#### setEndian

    void setEndian(ByteOrder endian)

Set the byteorder to use when storing values.

Parameters:
  `endian` - the byteorder to use

#### writeBoolean

    void writeBoolean(boolean value)

Write boolean value.

Parameters:
  `value` - the value

#### writeByte

    void writeByte(byte value)

Write signed byte value.

Parameters:
  `value` - the value

#### writeBytes

    void writeBytes(byte[] bytes)

Write multiple bytes.

Parameters:
  `bytes` - the bytes

#### writeBytes

    void writeBytes(byte[] bytes,
                  int offset)

Write multiple bytes from given offset.

Parameters:
  `bytes` - the bytes
  `offset` - offset in bytes to start writing from

#### writeBytes

    void writeBytes(byte[] bytes,
                  int offset,
                  int length)

Write given number of bytes from given offset.

Parameters:
  `bytes` - the bytes
  `offset` - offset in bytes to start writing from
  `length` - number of bytes to write

#### writeDouble

    void writeDouble(double value)

Write double-precision floating point value.

Parameters:
  `value` - the value

#### writeFloat

    void writeFloat(float value)

Write single-precision floating point value.

Parameters:
  `value` - the value

#### writeInt

    void writeInt(int value)

Write signed integer value.

Parameters:
  `value` - the value

#### writeMultiByte

    void writeMultiByte(String value,
                      String encoding)

Write string in given character set.

Parameters:
  `value` - the string
  `encoding` - the character set

#### writeObject

    void writeObject(Object value)

Write arbitrary object.

Parameters:
  `value` - the object

#### writeShort

    void writeShort(short value)

Write signed short value.

Parameters:
  `value` - the value

#### writeUnsignedInt

    void writeUnsignedInt(long value)

Write unsigned integer value.

Parameters:
  `value` - the value

#### writeUTF

    void writeUTF(String value)

Write UTF-8 encoded string.

Parameters:
  `value` - the string

#### writeUTFBytes

    void writeUTFBytes(String value)

Write UTF-8 encoded string as byte array. This string is stored without informations about its length, so `IDataInput.readUTFBytes(int)` must be used to load it.

Parameters:
  `value` - the string